package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;
import javax.vecmath.*;

public class RevTest {
    public static void main(String args[]) throws Exception {
        Vector3d v = new Vector3d(1,2,3);
        v = Util.rot2rev(v);
        System.out.println(v);
        v = Util.rev2rot(v);
        System.out.println(v);
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        a3.setEnableBehavior(true);
        w.add(a3);
        for (double d=0.0;d<361.0;d=d+5.0) {
            //a3.setRev(d,0,0);
            //a3.setRevImmediately(d,0,0);
            //a3.setRev(new Vector3d(d,0,0));
            //a3.setRevImmediately(new Vector3d(d,0,0));
            //a3.mulRev(new Vector3d(5,0,0));
            a3.mulRevImmediately(new Vector3d(5,0,0));
            Vector3d rev1 = a3.getRev();
            Vector3d rev2 = a3.getTargetRev();
            System.out.print(rev1);
            System.out.println(rev2);
            Thread.sleep(100);
        }
    }
}
